Skip to main content
`Ctrl`+`K`

# DMSetCoordinateSection

Set the `PetscSection` of coordinate values over the mesh.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCoordinateSection(DM dm, PetscInt dim, PetscSection section)

Not Collective

## Input Parameters

- dm - The `DM` object

- dim - The embedding dimension, or `PETSC_DETERMINE`

- section - The `PetscSection` object

## See Also

`DM`, `DMGetCoordinateDim()`, `DMGetCoordinateSection()`, `DMGetLocalSection()`, `DMSetLocalSection()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex11_sa.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages